## auto-multiple-choice 1.4.0~rc2

=== Makefile ===
#
# Copyright (C) 2008-2017 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

# Loads separate configuration file

include Makefile-all.conf

PACKAGE_DEB_TARGET = unstable
PACKAGE_DEB_DV ?= -1
# DATE/TIME to be substituted

DATE_RPMCHL:=$(shell LC_TIME=en date +"%a %b %e %Y")
DATE_DEBCHL:=$(shell LANG=en date "+%a, %d %b %Y %H:%M:%S %z")

# list variables to be substituted in *.in files

SUBST_VARS:=$(sort $(shell grep -h '=' $(SUB_MAKEFILES) | $(PERLPATH) -pe 's/\#.*//;s/\??\+?=.*//;' ) PACKAGE_DEB_DV PACKAGE_DEB_TARGET PERLPATH DATE_DEBCHL DATE_RPMCHL)
SUBST_VARS_FOR_TEX = PACKAGE_V_STY PACKAGE_V_DEB

# Some default values

GCC ?= gcc
GCC_PP ?= gcc
CFLAGS ?= -O2
CXXFLAGS ?= -O2

# try to find right names for OpenCV libs 

ifeq ($(GCC_OPENCV_LIBS),auto)
ifeq ($(shell echo 'int main(){}' | gcc -xc -lopencv_imgcodecs - && ( rm -f a.out ; echo "OK")),OK)
  GCC_OPENCV_LIBS:=-lopencv_core -lopencv_imgproc -lopencv_imgcodecs
else ifeq ($(shell echo 'int main(){}' | gcc -xc -lopencv_core - && ( rm -f a.out ; echo "OK")),OK)
  GCC_OPENCV_LIBS:=-lopencv_core -lopencv_highgui -lopencv_imgproc
else
  GCC_OPENCV_LIBS:=-lcv -lhighgui -lcxcore
endif
endif

GCC_OPENCV ?= $(shell pkg-config --cflags opencv)
GCC_OPENCV_LIBS ?= $(shell pkg-config --libs opencv)
GCC_PDF ?= $(shell pkg-config --cflags --libs cairo pangocairo poppler-glib)
GCC_POPPLER ?= $(shell pkg-config --cflags --libs poppler-glib gio-2.0)

#

SHELL=/bin/sh

DESTDIR ?=

# debug...

print-%: FORCE
	@echo "$*=$($*)"

# AMC components to build

BINARIES ?= AMC-detect AMC-buildpdf AMC-pdfformfields

MODS=AMC-*.pl
GLADE_FROMIN:=$(basename $(wildcard AMC-gui-*.glade.in))
GLADE_SIMPLE:=$(filter-out $(GLADE_FROMIN),$(wildcard AMC-gui-*.glade))
GLADE=$(GLADE_FROMIN) $(GLADE_SIMPLE)
STY=doc/sty/automultiplechoice.sty
DTX=doc/sty/automultiplechoice.dtx
MOS=$(wildcard I18N/lang/*.mo)
LANGS=$(notdir $(basename $(MOS)))
SUBMODS=$(notdir $(shell ls doc/modeles))

DOC_XML_IN=$(wildcard doc/auto-multiple-choice.*.in.xml)

# list *.in files for @/VAR/@ substitution

FROM_IN=auto-multiple-choice auto-multiple-choice.desktop $(GLADE_FROMIN) AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml) $(DTX)

# Is this a precomp tarball? If so, the PRECOMP file is present.

PRECOMP_FLAG_FILE=PRECOMP
PRECOMP_ARCHIVE:=$(wildcard $(PRECOMP_FLAG_FILE))

MAIN_LOGO=icons/auto-multiple-choice

# Sets user and group flags for install command

ifeq ($(INSTALL_USER),)
else
USER_GROUP = -o $(INSTALL_USER)
endif
ifeq ($(INSTALL_GROUP),)
else
USER_GROUP += -g $(INSTALL_GROUP)
endif

# Target switch (precomp archive or not)

ifeq ($(PRECOMP_ARCHIVE),)
all:
	$(MAKE) $(FROM_IN)
	$(MAKE) $(BINARIES) $(MAIN_LOGO).xpm $(MAIN_LOGO).svgz doc I18N
	chmod a+x auto-multiple-choice
else
all: all_precomp
	chmod a+x auto-multiple-choice
endif

all_precomp:
	$(MAKE) $(FROM_IN)
	$(MAKE) $(BINARIES)

MAJ: $(FROM_IN) ;

# Binaries

AMC-detect: AMC-detect.cc Makefile
	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_OPENCV) $(GCC_OPENCV_LIBS)

AMC-buildpdf: AMC-buildpdf.cc buildpdf.cc Makefile
	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_PDF) $(GCC_OPENCV) $(GCC_OPENCV_LIBS)

AMC-pdfformfields: pdfformfields.c Makefile
	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_POPPLER)

rebuild: FORCE
	$(MAKE) $(BINARIES) -W Makefile

# substitution in *.in files

vars-subs.pl: $(SUB_MAKEFILES) authors-subs.xsl authors.xml
	@echo "Recording substitution variables from $(SUB_MAKEFILES)"
	$(file > $@,# Variables:)
	$(foreach varname,$(SUBST_VARS), $(file >> $@,s|@/$(varname)/@|$($(varname))|g;) )
	$(foreach varname,$(SUBST_VARS_FOR_TEX), $(file >> $@,s|@/$(varname)_TEX/@|$(subst ~,\\string~,$($(varname)))|g;) )
	$(file >> $@,s+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;)
	$(file >> $@,# From authors.xml:)
	xsltproc --nonet authors-subs.xsl authors.xml >> $@

%.xml: %.in.xml vars-subs.pl 
	$(PERLPATH) -p vars-subs.pl $< > $@

%: %.in vars-subs.pl
	$(PERLPATH) -p vars-subs.pl $< > $@

# some components

doc:
	$(MAKE) -C doc
	$(MAKE) -C doc/sty

I18N:
	$(MAKE) -C I18N

sync:
	$(MAKE) -C download-area all

# Individual rules

%.ps: %.dvi
	dvips $< -o $@

%.ppm: %.ps
	convert -density 300 $< $*-%03d.ppm

%.png: %.svg
	rsvg-convert -w 32 -h 32 $< -o $@

%.xpm: %.png
	pngtopnm $< | ppmtoxpm > $@

$(MAIN_LOGO).svgz: $(MAIN_LOGO).svg
	gzip -k -S z $<
	$(foreach SIZE, $(APPICONSIZES), rsvg-convert -a -w $(SIZE) -h $(SIZE) $< -o $(MAIN_LOGO)-$(SIZE).png ;)

# CLEAN

clean_IN: FORCE
	rm -rf debian/auto-multiple-choice
	rm -f local/deb-auto-changelog
	rm -f $(FROM_IN)

# When we are inside an extracted dist tarball, 'clean' will only remove the
# files that did not come with in the dist tarball (we keep Makefile.versions
# and doc/ for example). Otherwise, we remove everything.
clean: clean_IN $(if $(PRECOMP_ARCHIVE),,distclean)
	-rm -f $(BINARIES)
	-rm -f vars-subs.pl

distclean: clean_IN clean
	-rm -f $(MAIN_LOGO).xpm $(MAIN_LOGO).svgz $(MAIN_LOGO)-*.png
	-rm -f auto-multiple-choice.spec
	$(MAKE) -C doc/sty clean
	$(MAKE) -C doc clean
	$(MAKE) -C I18N clean

# INSTALL

install_lang_%: FORCE
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(LOCALEDIR)/$*/LC_MESSAGES
	install    -m 0644 $(USER_GROUP) I18N/lang/$*.mo $(DESTDIR)/$(LOCALEDIR)/$*/LC_MESSAGES/auto-multiple-choice.mo

install_lang: $(addprefix install_lang_,$(LANGS)) ;

install_models_%: FORCE
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODELSDIR)/$*
	-install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.tgz $(DESTDIR)/$(MODELSDIR)/$*
	-install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.xml $(DESTDIR)/$(MODELSDIR)/$*

install_models: $(addprefix install_models_,$(SUBMODS)) ;

install_nodoc: install_lang install_models FORCE
ifneq ($(SYSTEM_TYPE),deb) # with debian, done with dh_installmime
ifneq ($(SHARED_MIMEINFO_DIR),)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(SHARED_MIMEINFO_DIR)
	install    -m 0644 $(USER_GROUP) interfaces/auto-multiple-choice.xml $(DESTDIR)/$(SHARED_MIMEINFO_DIR)
endif
endif
ifneq ($(LANG_GTKSOURCEVIEW_DIR),)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(LANG_GTKSOURCEVIEW_DIR)
	install    -m 0644 $(USER_GROUP) interfaces/amc-txt.lang $(DESTDIR)/$(LANG_GTKSOURCEVIEW_DIR)
endif
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODSDIR)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODSDIR)/perl
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODSDIR)/exec
	install    -m 0755 $(USER_GROUP) $(MODS) $(DESTDIR)/$(MODSDIR)/perl
	install    -m 0755 $(USER_GROUP) $(BINARIES) $(DESTDIR)/$(MODSDIR)/exec
	install    -m 0644 $(USER_GROUP) $(GLADE) $(DESTDIR)/$(MODSDIR)/perl
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDIR)
	install    -m 0644 $(USER_GROUP) $(STY) $(DESTDIR)/$(TEXDIR)
ifneq ($(DESKTOPDIR),)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DESKTOPDIR)
	install    -m 0644 $(USER_GROUP) -T auto-multiple-choice.desktop $(DESTDIR)/$(DESKTOPDIR)/auto-multiple-choice.desktop
endif
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(BINDIR)
	install    -m 0755 $(USER_GROUP) auto-multiple-choice $(DESTDIR)/$(BINDIR)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(ICONSDIR)
	install    -m 0644 $(USER_GROUP) icons/*.svg $(DESTDIR)/$(ICONSDIR)
ifneq ($(APPICONDIR),)
	install	-d -m 0755 $(USER_GROUP) $(DESTDIR)/$(APPICONDIR)/scalable/apps
	install	   -m 0644 $(USER_GROUP) $(MAIN_LOGO).svgz $(DESTDIR)/$(APPICONDIR)/scalable/apps
	$(foreach SIZE, $(APPICONSIZES),\
	install	-d -m 0755 $(USER_GROUP) $(DESTDIR)/$(APPICONDIR)/$(SIZE)x$(SIZE)/apps ; \
	install	   -m 0644 $(USER_GROUP) -T $(MAIN_LOGO)-$(SIZE).png $(DESTDIR)/$(APPICONDIR)/$(SIZE)x$(SIZE)/apps/auto-multiple-choice.png ; )
endif
ifneq ($(PIXDIR),)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PIXDIR)
	install    -m 0644 $(USER_GROUP) -T $(MAIN_LOGO).xpm $(DESTDIR)/$(PIXDIR)/auto-multiple-choice.xpm
endif
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Export
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Export/register
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Filter
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Filter/register
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/DataModule
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Gui
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Print
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/*.pm $(DESTDIR)/$(PERLDIR)/AMC
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Export/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Export
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Export/register/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Export/register
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Filter/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Filter
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Filter/register/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Filter/register
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/DataModule/*.pm $(DESTDIR)/$(PERLDIR)/AMC/DataModule
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Gui
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.glade $(DESTDIR)/$(PERLDIR)/AMC/Gui
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Print/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Print

install_doc: FORCE
	@echo "Installing doc..."
ifneq ($(TEXDOCDIR),)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDOCDIR)
	install    -m 0644 $(USER_GROUP) doc/sty/*.pdf doc/sty/*.tex $(DESTDIR)/$(TEXDOCDIR)
endif
ifneq ($(SYSTEM_TYPE),deb) # with debian, done with dh_install{doc,man}
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DOCDIR)
	install    -m 0644 $(USER_GROUP) $(wildcard doc/auto-multiple-choice.??.xml doc/auto-multiple-choice.??.pdf) $(DESTDIR)/$(DOCDIR)
	cp -r doc/html $(DESTDIR)/$(DOCDIR)
ifeq ($(INSTALL_USER),)
else
	chown -hR $(INSTALL_USER) $(DESTDIR)/$(DOCDIR)
endif
ifeq ($(INSTALL_GROUP),)
else
	chgrp -hR $(INSTALL_GROUP) $(DESTDIR)/$(DOCDIR)
endif
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MAN1DIR)
	install    -m 0644 $(USER_GROUP) doc/*.1 $(DESTDIR)/$(MAN1DIR)
endif

install: install_nodoc install_doc ;

# Test

manual-test:
	$(MAKE) -C tests test

##############################################################################
# Following lines are only helpfull for source tarball and package building
# These targets run only with source from svn checkout
##############################################################################

LOCALDIR=$(shell pwd)

global: FORCE
	$(MAKE) -C I18N global LOCALEDIR=$(LOCALEDIR) LOCALDIR=$(LOCALDIR)
	-sudo rm /usr/share/perl5/AMC $(ICONSDIR) /usr/share/doc/auto-multiple-choice /usr/share/doc/auto-multiple-choice-doc $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop $(MODELSDIR) /usr/bin/auto-multiple-choice $(TEXDIR)/automultiplechoice.sty $(SHARED_MIMEINFO_DIR)/auto-multiple-choice.xml $(LANG_GTKSOURCEVIEW_DIR)/amc-txt.lang $(APPICONDIR)/auto-multiple-choice.svgz
	-sudo rm -r /usr/lib/AMC

local: global
	$(MAKE) -C I18N local LOCALEDIR=$(LOCALEDIR) LOCALDIR=$(LOCALDIR)
	test -d /usr/lib/AMC || sudo mkdir -p /usr/lib/AMC

=== debian/changelog ===
auto-multiple-choice (1.4.0~rc2-1) unstable; urgency=medium

  * New upstream version 1.4.0~rc2
  * Switch to https URIs in d/watch and d/copyright.
  * Remove trailing whitespaces in d/changelog and d/control.
  * Add hardening options, see https://wiki.debian.org/Hardening
  * d/rules: set the environment variable AMCCONF globally
  * Replace OpenOffice.org with LibreOffice in descriptions and dependencies.
  * Tag both -doc and -doc-pdf packages as Multiarch: foreign.
  * Add a Recommends dependency on sensible-utils and libemail-address-perl
  * Add the Recommends dependency on libemail-address-perl
  * Bump compat version to 11; install doc files in auto-multiple-choice
    directories, not auto-multiple-choice-doc or auto-multiple-choice-doc-pdf.
  * Bumps Standards-Version to 4.2.1, no change needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 28 Sep 2018 10:34:50 +0200

=== debian/control ===
Source: auto-multiple-choice
Section: education
Priority: optional
Maintainer: Alexis Bienvenüe <pado@passoire.fr>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11), gettext, libnetpbm10-dev,
 libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
 docbook-xsl, librsvg2-bin, netpbm, texlive-pictures,
 pkg-config, libopencv-dev (>=2.1),
 libpoppler-glib-dev, libcairo2-dev, libpango1.0-dev,
 texlive-latex-recommended, texlive-xetex, lmodern,
 texlive-lang-french, texlive-lang-japanese, tex-common
Standards-Version: 4.2.1
Homepage: http://www.auto-multiple-choice.net/
Vcs-Browser: https://salsa.debian.org/georgesk/auto-multiple-choice
Vcs-Git: https://salsa.debian.org/georgesk/auto-multiple-choice.git

Package: auto-multiple-choice
Architecture: any
Replaces: auto-multiple-choice-common (<< 1.3.0-1)
Breaks: auto-multiple-choice-common (<< 1.3.0-1)
Depends: ${misc:Depends}, ${shlibs:Depends},
 perl, auto-multiple-choice-common (= ${source:Version})
Recommends: auto-multiple-choice-doc (= ${source:Version})
Suggests: texstudio | texmaker | kile, libreoffice-calc
Description: Auto Multiple Choice - multiple choice papers management
 Utility to manage multiple choice questionnaires, with optionally
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 LibreOffice sheet file.

Package: auto-multiple-choice-common
Architecture: all
Replaces: auto-multiple-choice (<< 1.1.0-1)
Breaks: auto-multiple-choice (<< 1.1.0-1)
Depends: ${misc:Depends}, ${perl:Depends},
 liblocale-gettext-perl, libxml-simple-perl, libxml-writer-perl,
 libgtk3-perl, libio-compress-perl|libcompress-zlib-perl,
 libgraphics-magick-perl, libdbd-sqlite3-perl, libdbi-perl,
 liblocale-codes-perl,
 libfile-mimeinfo-perl, libtext-csv-perl, texlive-latex-base,
 texlive-latex-recommended, texlive-generic-recommended, texlive-latex-extra,
 texlive-fonts-recommended, texlive-fonts-extra,
 imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
 netpbm, ghostscript,
 poppler-utils, libarchive-zip-perl, librsvg2-common, unzip,
 libglib-object-introspection-perl, libclone-perl
Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60),
 libopenoffice-oodoc-perl,
 libemail-address-perl, libemail-mime-perl, libemail-sender-perl,
 fonts-linuxlibertine | ttf-linux-libertine, texlive-xetex,
 libfilesys-df-perl, qpdf | pdftk, sensible-utils
Description: Auto Multiple Choice - architecture independent files
 Utility to manage multiple choice questionnaires, with optionally
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 LibreOffice sheet file.
 .
 These are architecture independent files.

Package: auto-multiple-choice-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Auto Multiple Choice - HTML documentation
 Utility to manage multiple choice questionnaires, with optionally
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 LibreOffice sheet file.
 .
 This is AMC HTML documentation.

Package: auto-multiple-choice-doc-pdf
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Auto Multiple Choice - PDF documentation
 Utility to manage multiple choice questionnaires, with optionally
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 LibreOffice sheet file.
 .
 This is AMC PDF documentation.

## auto-multiple-choice 1.4.0

=== Makefile ===
--- 
+++ 
@@ -308,7 +308,7 @@
 
 ##############################################################################
 # Following lines are only helpfull for source tarball and package building
-# These targets run only with source from svn checkout
+# These targets run only with source from git checkout
 ##############################################################################
 
 LOCALDIR=$(shell pwd)

=== I18N/Makefile ===
#
# Copyright (C) 2010-2017 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

SHELL=/bin/sh

include ../Makefile-all.conf

DOMAIN=auto-multiple-choice

XGETTO=

AMC=..

PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm $(AMC)/AMC-perl/AMC/**/**/*.pm 

GLADE=$(AMC)/AMC-*.glade $(AMC)/AMC-perl/AMC/**/*.glade

POS=$(wildcard lang/*.po)
MOS=$(POS:.po=.mo)
LANGS=$(basename $(notdir $(POS)))

all: $(MOS)

clean: FORCE
	rm -f $(MOS)
	rm -f *.bpot
	rm -f *.po

%.mo: %.po
	msgfmt $< -o $@

###############################################################
# The following targets are only for packaging :
# not used for building or installing

po-clean.pl: po-clean.pl.in ../Makefile.versions
	$(MAKE) -C .. I18N/po-clean.pl

%.pot: %.bpot po-clean.pl
	$(PERLPATH) po-clean.pl $< $@

$(DOMAIN).bpot: $(PERL) $(GLADE)
	xgettext $(XGETTO) --from-code=UTF-8 --add-comments=TRANSLATORS: $(PERL) -k__ -k__p -k -o $@
	xgettext $(XGETTO) -j $(GLADE) -L Glade -o $@

list:
	grep -lr __ $(AMC) |grep '\.\(pl\|pm\)$$' | grep -v 'debian' ; ls $(GLADE)

%.merge: $(DOMAIN).pot
	msgmerge --no-wrap -U lang/$*.po $(DOMAIN).pot

merge: $(addsuffix .merge,$(LANGS)) ;

%.local: FORCE
	test -d $(LOCALEDIR)/$*/LC_MESSAGES || sudo mkdir -p $(LOCALEDIR)/$*/LC_MESSAGES
	sudo ln -s $(LOCALDIR)/I18N/lang/$*.mo $(LOCALEDIR)/$*/LC_MESSAGES/auto-multiple-choice.mo

local: $(foreach l,$(LANGS),$(l).local) ;

%.global: FORCE
	-sudo rm $(LOCALEDIR)/$*/LC_MESSAGES/auto-multiple-choice.mo

global: $(foreach l,$(LANGS),$(l).global) ;

###############################################################

FORCE: ;

.PHONY: all clean list merge FORCE

.INTERMEDIATE: $(DOMAIN).bpot

=== doc/Makefile ===
#
# Copyright (C) 2008-2017 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

SHELL=/bin/sh

include ../Makefile-all.conf

ALL_DOCBOOKS = $(filter-out $(wildcard *.in.xml),$(wildcard auto-multiple-choice.*.xml))
DOC_LANG ?= $(patsubst auto-multiple-choice.%.xml,%,$(ALL_DOCBOOKS))
SELECTED_DOCBOOKS = $(foreach onelang,$(DOC_LANG),auto-multiple-choice.$(onelang).xml)

IMAGES=$(addprefix html/images/,$(notdir $(wildcard img_src/*.svg))) $(addprefix html/images/callouts/,$(notdir $(wildcard img_src/callouts/*.svg)))
BLOCK_IMAGES=$(addprefix img_pdf/,$(notdir $(wildcard img_src/*.svg)))

MODELS=$(wildcard modeles/*/*.d)

all: $(SELECTED_DOCBOOKS:.xml=.pdf) $(SELECTED_DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) $(MODELS:.d=.tgz) html/index.html;

show_doc_lang:
	@echo "DOC_LANG = $(DOC_LANG)"

images: $(IMAGES:.svg=.png)

clean:
	rm -f $(foreach ext,1 aux cb cb2 glo idx log out toc tex html pdf ext man,*.$(ext))
	rm -f modeles/*.tgz
	rm -f modeles/**/*.tgz
	rm -f html/auto-multiple-choice.**/*.html
	rm -f html/images/callouts/*.png html/images/*.png img_pdf/*.pdf
	rm -f *~

html/images/callouts/%.png: img_src/callouts/%.svg
	rsvg-convert -w 12 -h 12 $< -o $@

html/images/%.png: img_src/%.svg
	rsvg-convert -w 24 -h 24 $< -o $@

img_pdf/%.pdf: img_src/%.svg
	rsvg-convert -f pdf $< -o $@

html/index.html: FORCE
	$(PERLPATH) ./index.pl $(SELECTED_DOCBOOKS:.xml=) > $@

%.tex: %.xml amcdocstyle.sty
	dblatex -P latex.encoding=utf8 -b xetex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@

XELATEX=xelatex -halt-on-error -interaction=nonstopmode

%.pdf: export SOURCE_DATE_EPOCH=$(PACKAGE_V_EPOCH)
%.pdf: export SOURCE_DATE_EPOCH_TEX_PRIMITIVES=1
%.pdf: export FORCE_SOURCE_DATE=1
%.pdf: export TEXINPUTS=./img_pdf/:

%.pdf: %.tex $(BLOCK_IMAGES:.svg=.pdf)
	set -e ; $(XELATEX) $<; $(XELATEX) $<
	rm -f $(foreach ext,aux cb cb2 glo idx log out toc,$*.$(ext))

%.x: %.ext %.man %.html ;

%.ext: %.xml
	$(PERLPATH) extrait-fichiers.pl --liste $@ $<

%.man: %.xml
	xsltproc --nonet --catalogs --param man.charmap.use.subset "0" --param make.year.ranges "1" --param make.single.year.ranges "1" --param man.output.lang.in.name.enabled "1" $(DOCBOOK_MAN_XSL) $<
	date > $@

%.html: %.xml doc-xhtml.xsl
	rm -f html/$*/*.html
	xsltproc --nonet --catalogs --stringparam base.dir html/$*/ doc-xhtml.xsl $<
	date > $@

%.tgz: %.d
	find $< -type d -exec chmod 0755 '{}' \;
	find $< -type f -exec chmod 0644 '{}' \;
ifeq ($(TAR_REPRODUCIBLE_ARGS),nonreproducible)
	tar -cz -f $@ -C $< .
else
	tar cn -C $< $(TAR_REPRODUCIBLE_ARGS) -O . | gzip $(GZIP_REPRODUCIBLE_ARGS) -c > $@
endif

check: FORCE
	./check_xml

FORCE: ;

.PHONY: FORCE all images clean check

=== tests/Makefile ===
#
# Copyright (C) 2012-2017 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

SHELL=/bin/sh

include ../Makefile-all.conf

export PERLPATH

SVG=$(shell find . -name '*.svg')
EPS=$(SVG:.svg=.eps)

all: $(EPS)

%.eps: %.svg
	inkscape --export-eps $@ $<

clean:
	-rm $(EPS)

test: $(EPS) FORCE
	@echo "Using qpdf"
	./all_tests
	@echo "Using pdftk"
	./selected_tests --extract-with pdftk

blind-test: $(EPS) FORCE
	@echo "Using qpdf"
	./all_tests --blind
	@echo "Using pdftk"
	./selected_tests --blind --extract-with pdftk

FORCE: ;

.PHONY: FORCE all clean test blind-test

=== doc/sty/Makefile ===
#
# Copyright (C) 2011-2017 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

SHELL=/bin/sh

include ../../Makefile-all.conf

PACK=automultiplechoice

SAMPLES=$(wildcard sample-*.tex)

all %.pdf: export SOURCE_DATE_EPOCH=$(PACKAGE_V_EPOCH)
all %.pdf: export SOURCE_DATE_EPOCH_TEX_PRIMITIVES=1
all %.pdf: export FORCE_SOURCE_DATE=1

PDFLATEX=pdflatex -halt-on-error -interaction=nonstopmode
all: FORCE
	$(PDFLATEX) $(PACK).dtx
	$(MAKE) $(SAMPLES:.tex=.pdf)
	$(PDFLATEX) $(PACK).dtx
	makeindex -s gglo.ist -o $(PACK).gls $(PACK).glo
	makeindex -s gind.ist -o $(PACK).ind $(PACK).idx
	$(PDFLATEX) $(PACK).dtx
	$(PDFLATEX) $(PACK).dtx
	$(MAKE) postclean

styonly: $(PACK).dtx
	$(PDFLATEX) $<
	$(MAKE) postclean

sample-%.datetex.in: sample-%.tex
	$(PERLPATH) -pe 's!\\begin\{document\}!\\begin{document}\\pdfinfo{/CreationDate (D:@/PACKAGE_V_PDFDATE/@) /ModDate (D:@/PACKAGE_V_PDFDATE/@)}!;' < $< > $@

sample-%.datetex: sample-%.datetex.in
	$(MAKE) -C ../.. doc/sty/$@

sample-%.pdf: sample-%.datetex
	pdflatex -jobname sample-$* $<

postclean:
	-rm -f pexa-*
	-rm -f $(foreach ext,amc aux dvi glo gls idx ilg ind log out toc xy xy1 xy2 xy3,*.$(ext))

clean: postclean
	rm -f *~
	rm -f $(PACK).sty
	rm -f *.pdf

FORCE: ;

.PHONY: all clean postclean FORCE

=== debian/changelog ===
auto-multiple-choice (1.4.0-4ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Apr 2020 21:31:45 -0400

auto-multiple-choice (1.4.0-4) unstable; urgency=medium

  * Apply bugfix from upstream bug#713
  * Bump standards version to 4.5.0: no change needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 10 Apr 2020 18:59:52 +0200

auto-multiple-choice (1.4.0-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 05 Apr 2020 18:42:06 -0400

auto-multiple-choice (1.4.0-3) unstable; urgency=medium

  * Needs liblocale-codes-perl>=3.42. Closes: #948513.
  * Fix type of return value of getopt. Closes: #933485.
  * Fix FTBFS while compiling doc. Closes: #952301.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 06 Mar 2020 22:54:06 +0100

auto-multiple-choice (1.4.0-2ubuntu3) focal; urgency=medium

  * No-change rebuild for opencv soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 07:30:38 +0000

auto-multiple-choice (1.4.0-2ubuntu2) focal; urgency=medium

  * No-change rebuild against libopencv-imgcodecs4.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Nov 2019 20:42:44 +0000

auto-multiple-choice (1.4.0-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - depends on adwaita-icon-theme-full since some of the icons are
      not available in the default theme

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2019 08:59:06 +0200

auto-multiple-choice (1.4.0-2) unstable; urgency=medium

  * Updates OpenCV build includes for use with OpenCV4. Closes: #922567.
  * Drops unused and deprecated latex-generic-recommended dependency.
    Closes: #932185.
  * Bump standards version to 4.4.0: no change needed.
  * Bump debhelper compat version to 12: no change needed.
  * Don't register sample PDF subjects and LaTeX package description
    as documentation files.

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 18 Aug 2019 20:48:56 +0200

auto-multiple-choice (1.4.0-1ubuntu4) disco; urgency=medium

  * Revert to 1.4.0-1ubuntu1 packaging since it looks like the
    easiest working option for now.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Feb 2019 13:05:54 -0500

auto-multiple-choice (1.4.0-1ubuntu3) disco; urgency=medium

  * debian/tests/control: depend on humanity-icon-theme.
    Maybe yaru-theme-icon should depend on humanity-icon-theme instead.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Jan 2019 05:22:27 -0500

auto-multiple-choice (1.4.0-1ubuntu2) disco; urgency=medium

  * debian/tests/control: depend on adwaita-icon-theme
    instead of adwaita-icon-theme-full for easier forwarding to Debian

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 27 Jan 2019 18:21:39 -0500

auto-multiple-choice (1.4.0-1ubuntu1) disco; urgency=medium

  * debian/tests/control:
    - depends on adwaita-icon-theme-full since some of the icons are
      not available in the default theme

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Jan 2019 16:02:39 +0100

auto-multiple-choice (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Bump standards version to 4.3.0: no change needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Sat, 29 Dec 2018 22:19:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: auto-multiple-choice
 Section: education
 Priority: optional
-Maintainer: Alexis Bienvenüe <pado@passoire.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexis Bienvenüe <pado@passoire.fr>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11), gettext, libnetpbm10-dev,
+Build-Depends: debhelper (>= 12), gettext, libnetpbm10-dev,
  libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
  docbook-xsl, librsvg2-bin, netpbm, texlive-pictures,
  pkg-config, libopencv-dev (>=2.1),
  libpoppler-glib-dev, libcairo2-dev, libpango1.0-dev,
  texlive-latex-recommended, texlive-xetex, lmodern,
  texlive-lang-french, texlive-lang-japanese, tex-common
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://www.auto-multiple-choice.net/
 Vcs-Browser: https://salsa.debian.org/georgesk/auto-multiple-choice
 Vcs-Git: https://salsa.debian.org/georgesk/auto-multiple-choice.git
@@ -37,9 +38,9 @@
  liblocale-gettext-perl, libxml-simple-perl, libxml-writer-perl,
  libgtk3-perl, libio-compress-perl|libcompress-zlib-perl,
  libgraphics-magick-perl, libdbd-sqlite3-perl, libdbi-perl,
- liblocale-codes-perl,
+ liblocale-codes-perl (>= 3.42),
  libfile-mimeinfo-perl, libtext-csv-perl, texlive-latex-base,
- texlive-latex-recommended, texlive-generic-recommended, texlive-latex-extra,
+ texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, texlive-fonts-extra,
  imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
  netpbm, ghostscript,

=== debian/tests/control ===
Tests: simple
Depends: @, libipc-run-perl

Tests: gui
Depends: @, xvfb, at-spi2-core, adwaita-icon-theme-full

## auto-multiple-choice 1.5.0~rc1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2008-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -52,8 +52,13 @@
 endif
 endif
 
+ifeq ($(shell pkg-config --exists opencv4 && echo "OK"),OK)
+GCC_OPENCV ?= $(shell pkg-config --cflags opencv4)
+GCC_OPENCV_LIBS ?= $(shell pkg-config --libs opencv4)
+else
 GCC_OPENCV ?= $(shell pkg-config --cflags opencv)
 GCC_OPENCV_LIBS ?= $(shell pkg-config --libs opencv)
+endif
 GCC_PDF ?= $(shell pkg-config --cflags --libs cairo pangocairo poppler-glib)
 GCC_POPPLER ?= $(shell pkg-config --cflags --libs poppler-glib gio-2.0)
 
@@ -73,20 +78,17 @@
 BINARIES ?= AMC-detect AMC-buildpdf AMC-pdfformfields
 
 MODS=AMC-*.pl
-GLADE_FROMIN:=$(basename $(wildcard AMC-gui-*.glade.in))
-GLADE_SIMPLE:=$(filter-out $(GLADE_FROMIN),$(wildcard AMC-gui-*.glade))
-GLADE=$(GLADE_FROMIN) $(GLADE_SIMPLE)
 STY=doc/sty/automultiplechoice.sty
 DTX=doc/sty/automultiplechoice.dtx
 MOS=$(wildcard I18N/lang/*.mo)
 LANGS=$(notdir $(basename $(MOS)))
 SUBMODS=$(notdir $(shell ls doc/modeles))
-
+GLADE_IN=$(wildcard AMC-perl/AMC/Gui/*.glade.in)
 DOC_XML_IN=$(wildcard doc/auto-multiple-choice.*.in.xml)
 
 # list *.in files for @/VAR/@ substitution
 
-FROM_IN=auto-multiple-choice auto-multiple-choice.desktop $(GLADE_FROMIN) AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml) $(DTX)
+FROM_IN=auto-multiple-choice net.auto_multiple_choice.amc.desktop AMC-gui.pl AMC-latex-link.pl AMC-mailing.pl AMC-perl/AMC/Basic.pm AMC-perl/AMC/Gui/Main.pm $(GLADE_IN:.glade.in=.glade) doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml) $(DTX)
 
 # Is this a precomp tarball? If so, the PRECOMP file is present.
 
@@ -237,12 +239,15 @@
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODSDIR)/exec
 	install    -m 0755 $(USER_GROUP) $(MODS) $(DESTDIR)/$(MODSDIR)/perl
 	install    -m 0755 $(USER_GROUP) $(BINARIES) $(DESTDIR)/$(MODSDIR)/exec
-	install    -m 0644 $(USER_GROUP) $(GLADE) $(DESTDIR)/$(MODSDIR)/perl
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDIR)
 	install    -m 0644 $(USER_GROUP) $(STY) $(DESTDIR)/$(TEXDIR)
 ifneq ($(DESKTOPDIR),)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DESKTOPDIR)
-	install    -m 0644 $(USER_GROUP) -T auto-multiple-choice.desktop $(DESTDIR)/$(DESKTOPDIR)/auto-multiple-choice.desktop
+	install    -m 0644 $(USER_GROUP) net.auto_multiple_choice.amc.desktop $(DESTDIR)/$(DESKTOPDIR)
+endif
+ifneq ($(METAINFODIR),)
+	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(METAINFODIR)
+	install    -m 0644 $(USER_GROUP) net.auto_multiple_choice.amc.metainfo.xml $(DESTDIR)/$(METAINFODIR)
 endif
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(BINDIR)
 	install    -m 0755 $(USER_GROUP) auto-multiple-choice $(DESTDIR)/$(BINDIR)
@@ -264,6 +269,8 @@
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Export/register
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Filter
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Filter/register
+	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Decoder
+	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Decoder/register
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/DataModule
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Gui
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Print
@@ -272,6 +279,8 @@
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Export/register/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Export/register
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Filter/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Filter
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Filter/register/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Filter/register
+	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Decoder/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Decoder
+	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Decoder/register/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Decoder/register
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/DataModule/*.pm $(DESTDIR)/$(PERLDIR)/AMC/DataModule
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Gui
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.glade $(DESTDIR)/$(PERLDIR)/AMC/Gui
@@ -315,9 +324,3 @@
 
 global: FORCE
 	$(MAKE) -C I18N global LOCALEDIR=$(LOCALEDIR) LOCALDIR=$(LOCALDIR)
-	-sudo rm /usr/share/perl5/AMC $(ICONSDIR) /usr/share/doc/auto-multiple-choice /usr/share/doc/auto-multiple-choice-doc $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop $(MODELSDIR) /usr/bin/auto-multiple-choice $(TEXDIR)/automultiplechoice.sty $(SHARED_MIMEINFO_DIR)/auto-multiple-choice.xml $(LANG_GTKSOURCEVIEW_DIR)/amc-txt.lang $(APPICONDIR)/auto-multiple-choice.svgz
-	-sudo rm -r /usr/lib/AMC
-
-local: global
-	$(MAKE) -C I18N local LOCALEDIR=$(LOCALEDIR) LOCALDIR=$(LOCALDIR)
-	test -d /usr/lib/AMC || sudo mkdir -p /usr/lib/AMC

=== debian/changelog ===
auto-multiple-choice (1.5.0~rc1-1) unstable; urgency=medium

  * New upstream version 1.5.0~rc1. Closes: #908583
  * Removes patches that has been applied upstream.
  * Gtksourceview directory update
  * Adds /usr/share/metainfo dir to include new appstream file
  * Bump standards version to 4.5.1: no change needed.
  * Fix app icons dir
  * Adjust copyright for the metainfo file.
  * Move to debhelper compat level 13.
  * Fix gui autopkgtest test.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 22 Jan 2021 17:04:37 +0100

auto-multiple-choice (1.4.0-5) unstable; urgency=medium

  * added texlive-lang-chines to build dependencies.
    Closes: #963423

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 22 Jun 2020 19:34:42 +0200

## auto-multiple-choice 1.5.0~rc2

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 SUBMODS=$(notdir $(shell ls doc/modeles))
 GLADE_IN=$(wildcard AMC-perl/AMC/Gui/*.glade.in)
 DOC_XML_IN=$(wildcard doc/auto-multiple-choice.*.in.xml)
+PYCACHE=tests/gui/dogtail/__pycache__
 
 # list *.in files for @/VAR/@ substitution
 
@@ -135,7 +136,7 @@
 	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_PDF) $(GCC_OPENCV) $(GCC_OPENCV_LIBS)
 
 AMC-pdfformfields: pdfformfields.c Makefile
-	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_POPPLER)
+	$(GCC) -o $@ $< $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -lm $(GCC_POPPLER)
 
 rebuild: FORCE
 	$(MAKE) $(BINARIES) -W Makefile
@@ -184,13 +185,14 @@
 	pngtopnm $< | ppmtoxpm > $@
 
 $(MAIN_LOGO).svgz: $(MAIN_LOGO).svg
-	gzip -k -S z $<
+	gzip $(GZIP_REPRODUCIBLE_ARGS) -k -S z $<
 	$(foreach SIZE, $(APPICONSIZES), rsvg-convert -a -w $(SIZE) -h $(SIZE) $< -o $(MAIN_LOGO)-$(SIZE).png ;)
 
 # CLEAN
 
 clean_IN: FORCE
 	rm -rf debian/auto-multiple-choice
+	rm -rf $(PYCACHE)
 	rm -f local/deb-auto-changelog
 	rm -f $(FROM_IN)
 
@@ -323,4 +325,3 @@
 LOCALDIR=$(shell pwd)
 
 global: FORCE
-	$(MAKE) -C I18N global LOCALEDIR=$(LOCALEDIR) LOCALDIR=$(LOCALDIR)

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2008-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -59,6 +59,8 @@
 
 %.tex: %.xml amcdocstyle.sty
 	dblatex -P latex.encoding=utf8 -b xetex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@
+# dblatex bug workaround (python3 writes b'<:' instead of <:)
+	perl -pi -e "s,b'<:',<:,g ; s,b':>',:>,g " $@
 
 XELATEX=xelatex -halt-on-error -interaction=nonstopmode

=== doc/sty/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2011-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2011-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #

=== debian/changelog ===
auto-multiple-choice (1.5.0~rc2-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Mar 2021 22:06:55 -0500

auto-multiple-choice (1.5.0~rc2-2) unstable; urgency=medium

  * Include upstream patch that fixes exported columns choice

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 02 Mar 2021 11:25:56 +0100

auto-multiple-choice (1.5.0~rc2-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:09:59 +0000

auto-multiple-choice (1.5.0~rc2-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 14 Feb 2021 17:07:28 -0500

auto-multiple-choice (1.5.0~rc2-1) unstable; urgency=medium

  * New upstream version 1.5.0~rc2
  * Update manpages names.
  * Move some latex doc to /usr/share/doc/auto-multiple-choice.
  * Tag conf-file patch as forwarded: not-needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Sat, 13 Feb 2021 14:39:51 +0100

auto-multiple-choice (1.5.0~rc1-2) unstable; urgency=medium

  * added the file debian/salsa-ci.yml

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 09 Feb 2021 20:13:05 +0100

auto-multiple-choice (1.5.0~rc1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 23 Jan 2021 14:09:57 -0500

auto-multiple-choice (1.4.0-5ubuntu2) hirsute; urgency=medium

  * No-change rebuild for opencv soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Dec 2020 17:08:20 +0100

auto-multiple-choice (1.4.0-5ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 06 Jul 2020 20:54:28 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexis Bienvenüe <pado@passoire.fr>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 12), gettext, libnetpbm10-dev,
+Build-Depends: debhelper-compat (= 13), gettext, libnetpbm10-dev,
  libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
  docbook-xsl, librsvg2-bin, netpbm, texlive-pictures,
  pkg-config, libopencv-dev (>=2.1),
  libpoppler-glib-dev, libcairo2-dev, libpango1.0-dev,
  texlive-latex-recommended, texlive-xetex, lmodern,
- texlive-lang-french, texlive-lang-japanese, tex-common
-Standards-Version: 4.5.0
+ texlive-lang-french, texlive-lang-japanese, texlive-lang-chinese,
+ tex-common
+Standards-Version: 4.5.1
 Homepage: http://www.auto-multiple-choice.net/
 Vcs-Browser: https://salsa.debian.org/georgesk/auto-multiple-choice
 Vcs-Git: https://salsa.debian.org/georgesk/auto-multiple-choice.git

=== debian/tests/control ===
Tests: simple
Depends: @, libipc-run-perl

Tests: gui
Depends: @, xvfb, at-spi2-core, gir1.2-notify-0.7, adwaita-icon-theme-full

## auto-multiple-choice 1.5.2

=== I18N/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2010-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2010-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -27,9 +27,10 @@
 
 AMC=..
 
-PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm $(AMC)/AMC-perl/AMC/**/**/*.pm 
+PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm $(AMC)/AMC-perl/AMC/**/**/*.pm
+PERLIN=$(AMC)/*.pl.in $(AMC)/AMC-perl/AMC/*.pm.in $(AMC)/AMC-perl/AMC/**/*.pm.in
 
-GLADE=$(AMC)/AMC-*.glade $(AMC)/AMC-perl/AMC/**/*.glade
+GLADE=$(AMC)/AMC-perl/AMC/**/*.glade
 
 POS=$(wildcard lang/*.po)
 MOS=$(POS:.po=.mo)
@@ -55,7 +56,8 @@
 %.pot: %.bpot po-clean.pl
 	$(PERLPATH) po-clean.pl $< $@
 
-$(DOMAIN).bpot: $(PERL) $(GLADE)
+$(DOMAIN).bpot: $(PERL) $(PERLIN) $(GLADE)
+	$(MAKE) -C .. MAJ
 	xgettext $(XGETTO) --from-code=UTF-8 --add-comments=TRANSLATORS: $(PERL) -k__ -k__p -k -o $@
 	xgettext $(XGETTO) -j $(GLADE) -L Glade -o $@

=== tests/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2012-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2012-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -29,7 +29,8 @@
 all: $(EPS)
 
 %.eps: %.svg
-	inkscape --export-eps $@ $<
+# old-style or new-style arguments 
+	inkscape --export-eps=$@ $< || inkscape --export-type=eps -o $@ $<
 
 clean:
 	-rm $(EPS)
@@ -45,6 +46,10 @@
 	./all_tests --blind
 	@echo "Using pdftk"
 	./selected_tests --blind --extract-with pdftk
+ifneq (,$(wildcard /usr/local/bin/sejda-console))
+	@echo "Using sejda-console"
+	./selected_tests --blind --extract-with sejda-console
+endif
 
 FORCE: ;

=== debian/changelog ===
auto-multiple-choice (1.5.2-1willsync1) jammy; urgency=medium

  * d/t/control: Drop depend on adwaita-icon-theme-full since its provides
    gnome-icon-theme-symbolic which is a dependency.

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Jan 2022 17:25:05 -0800

auto-multiple-choice (1.5.2-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 08:32:57 -0800

auto-multiple-choice (1.5.2-1) unstable; urgency=medium

  * new usptream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Dec 2021 19:08:08 +0100

auto-multiple-choice (1.5.1-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against libopencv-core4.5d

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:47:18 +0000

auto-multiple-choice (1.5.1-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Nov 2021 18:58:01 -0500

auto-multiple-choice (1.5.1-2) unstable; urgency=medium

  * Fix the conf file, that had lost the reproducible tar options

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 14 Oct 2021 20:54:18 +0200

auto-multiple-choice (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Adds dependency to gnome-icon-theme-symbolic
  * Moves sub-executables to /usr/libexec
  * Adds the upstream/metadata file
  * Don't require root for build

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 14 Oct 2021 08:40:22 +0200

auto-multiple-choice (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Remove patch, applied upstream
  * Bump standards version to 4.6.0: no change needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 10 Sep 2021 13:55:24 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  texlive-latex-recommended, texlive-xetex, lmodern,
  texlive-lang-french, texlive-lang-japanese, texlive-lang-chinese,
  tex-common
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: http://www.auto-multiple-choice.net/
 Vcs-Browser: https://salsa.debian.org/georgesk/auto-multiple-choice
 Vcs-Git: https://salsa.debian.org/georgesk/auto-multiple-choice.git
@@ -46,7 +47,8 @@
  imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
  netpbm, ghostscript,
  poppler-utils, libarchive-zip-perl, librsvg2-common, unzip,
- libglib-object-introspection-perl, libclone-perl
+ libglib-object-introspection-perl, libclone-perl,
+ gnome-icon-theme-symbolic
 Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60),
  libopenoffice-oodoc-perl,
  libemail-address-perl, libemail-mime-perl, libemail-sender-perl,

=== debian/tests/control ===
Tests: simple
Depends: @, libipc-run-perl

Tests: gui
Depends: @, xvfb, at-spi2-core, gir1.2-notify-0.7
